# Uses of Class
org.opensaml.security.credential.BasicCredential

Packages that use BasicCredential
Package
Description
org.opensaml.security.credential
Interfaces and classes related to credentials and ways to represent them.
org.opensaml.security.x509
X.509-based credential and trust classes.
org.opensaml.spring.credential
Factory beans for various credential classes.
org.opensaml.xmlsec.agreement.impl
Implementation components related to key agreement operations.

## Uses of BasicCredential in org.opensaml.security.credential

Methods in org.opensaml.security.credential that return BasicCredential
Modifier and Type
Method
Description
`static BasicCredential`
CredentialSupport.`getSimpleCredential(PublicKey publicKey, PrivateKey privateKey)`
Get a simple, minimal credential containing a public key, and optionally a private key.
`static BasicCredential`
CredentialSupport.`getSimpleCredential(SecretKey secretKey)`
Get a simple, minimal credential containing a secret (symmetric) key.

## Uses of BasicCredential in org.opensaml.security.x509

Subclasses of BasicCredential in org.opensaml.security.x509
Modifier and Type
Class
Description
`class`
`BasicX509Credential`
A basic implementation of `X509Credential`.

## Uses of BasicCredential in org.opensaml.spring.credential

Methods in org.opensaml.spring.credential that return BasicCredential
Modifier and Type
Method
Description
`protected BasicCredential`
AbstractBasicCredentialFactoryBean.`doCreateInstance()`

## Uses of BasicCredential in org.opensaml.xmlsec.agreement.impl

Subclasses of BasicCredential in org.opensaml.xmlsec.agreement.impl
Modifier and Type
Class
Description
`class`
`BasicKeyAgreementCredential`
Basic implementation of `KeyAgreementCredential`.